<app-breadcrumb [items]='this.breadcrumbs'></app-breadcrumb>

<div class="form-buttons-top">
    <a mat-button color="primary" [routerLink]='["/projects", projectId, "tasks"]'>
        <mat-icon>arrow_back</mat-icon> Back
    </a>
    @if (isEditMode)
    {
    <span class="spacer"> </span>
    <button mat-flat-button color="warn" data-test="task-delete" (click)="deleteTask($event)"
        [disabled]="isDisabled">
        <mat-icon>delete_forever</mat-icon>
        Delete</button>
    }
</div>

<form [formGroup]="taskForm" (ngSubmit)="saveTask()">
    <app-form-input
        label="Task Title"
        fieldName="title"
        dataTest="task-title"
        [control]="taskForm.controls.title"
        errorMessage="Please enter a valid task title."
        cssClass="full-width"
    ></app-form-input>

    <app-form-textarea
        label="Task Description"
        fieldName="description"
        dataTest="task-description"
        [control]="taskForm.controls.description"
        errorMessage=""
        cssClass="full-width"
    ></app-form-textarea>

    <app-form-input
        label="Est. Hours"
        fieldName="estimatedTimeHours"
        dataTest="task-estimatedTimeHours"
        [control]="taskForm.controls.estimatedTimeHours"
        errorMessage="Please enter a valid hour estimate (rounded to whole hour)."
        cssClass=""
    ></app-form-input>

    <app-form-input
        label="Assignee"
        fieldName="assignee"
        dataTest="task-assignee"
        [control]="taskForm.controls.assignee"
        errorMessage="Please enter task assignee name and surname."
        cssClass=""
    ></app-form-input>

    <app-form-select        
        label="Status"
        fieldName="status"
        dataTest="task-status"
        [control]="taskForm.controls.status"
        errorMessage="Please enter a valid task status."
        cssClass="full-width"
        [dropdownOptions]='statusOptions'
    ></app-form-select>

    <div class="form-buttons">
        <button mat-raised-button color="primary" (click)="cancelSave($event)" data-test="task-cancel"
            [disabled]="isDisabled">Cancel</button>
        <button mat-flat-button color="primary" type="submit" data-test="task-save"
            [disabled]="isSaveDisabled">Save</button>
    </div>
</form>